summaryrefslogtreecommitdiffstats
path: root/main/gdnsd/gdnsd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/gdnsd/gdnsd.initd')
-rwxr-xr-xmain/gdnsd/gdnsd.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/main/gdnsd/gdnsd.initd b/main/gdnsd/gdnsd.initd
new file mode 100755
index 000000000..e11a73d1d
--- /dev/null
+++ b/main/gdnsd/gdnsd.initd
@@ -0,0 +1,18 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting dnsd"
+ start-stop-daemon --start --exec /usr/sbin/dnsd -- -d $DNSD_OPTS
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping dnsd"
+ start-stop-daemon --stop --exec /usr/sbin/dnsd
+ eend $?
+}